from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.uno import XInterface

@runtime_checkable
class XDiagram(XInterface, Protocol):
    def getWall(self) -> XPropertySet: ...
    def getFloor(self) -> XPropertySet: ...
    def getLegend(self) -> XLegend: ...
    def setLegend(self, xLegend: XLegend) -> None: ...
    def getDefaultColorScheme(self) -> XColorScheme: ...
    def setDefaultColorScheme(self, xColorScheme: XColorScheme) -> None: ...
    def setDiagramData(self, xDataSource: XDataSource, aArguments: PropertyValue >) -> None: ...
    def getDataTable(self) -> XDataTable: ...
    def setDataTable(self, xDataTable: XDataTable) -> None: ...
